Bug 1314544 - USER_AVC field cmdline
USER_AVC field cmdline
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-03-03 16:18 EST by Steve Grubb
Modified: 2016-12-20 14:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 14:13:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix usr_avc audit event (1.51 KB, patch)
2016-03-05 09:35 EST, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2016-03-03 16:18:48 EST
Description of problem:
On some occasions there are USER_AVC events being generated that have the field cmdline. I would like to ask for two things (and then one item unrelated).

1) The field cmdline is the same meaning as the already existing field cmd. The audit fieldname dictionary is here:
http://people.redhat.com/sgrubb/audit/field-dictionary.txt Do you mind changing it to be cmd?

2) The value side of the field has whitespaces in it. For example:
cmdline="/usr/bin/systemctl kill -s HUP rsyslog.service"  Any field that has spaces in it must be encoded per the audit event specification:
See the section on fields. There is also example code in the specification showing use of the audit_encode_nv_string function.

3) There are dangling words in some user_avcs. For example:
msg='Unknown permission start for class system exe="/usr/lib/systemd/systemd" sauid=0 hostname=? addr=? terminal=?'
The audit system is not syslog, it expects name=value formatting. This also looks like it should be a AUDIT_USER_SELINUX_ERR. The selinux people can probably help define what fields should be recorded.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. ?
2. ausearch -m user_avc -x systemd

Actual results:
cmdline="/usr/bin/systemctl kill -s HUP rsyslog.service"

Expected results:

Additional info:
Comment 1 Steve Grubb 2016-03-05 09:35 EST
Created attachment 1133341 [details]
Patch to fix usr_avc audit event

This patch shows what is expected. It uses an audit library function to do the right formatting. I didn't update the makefile to link against libaudit, but if systemd does, it can probably get rid of duplicate code.
Comment 2 Fedora End Of Life 2016-11-24 10:54:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 14:13:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.